module Spring
  module Commands
    class PryRescue
      def env(args)
        args.each do |arg|
          return "test" if arg.match(/rspec|test/)
        end

        ENV['RAILS_ENV'] if ENV['RAILS_ENV']
      end

      def exec_name
        "rescue"
      end
    end

    Spring.register_command "rescue", PryRescue.new
  end
end
